#if !defined(AFX_SLIDERPAGE_H__98FB4F53_7187_11D3_A4EA_000000000000__INCLUDED_)
#define AFX_SLIDERPAGE_H__98FB4F53_7187_11D3_A4EA_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SliderPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSliderPage dialog

class CSliderPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CSliderPage)

// Construction
public:
	void UpdateReading();
	void ChangeStyle (long newStyle, BOOL bSet=TRUE);
	CSliderCtrl cSlider;
	CSliderPage();
	~CSliderPage();

// Dialog Data
	//{{AFX_DATA(CSliderPage)
	enum { IDD = IDD_SLIDER };
	UINT	uLineStep;
	UINT	uPageStep;
	UINT	uRangeFrom;
	UINT	uRangeTo;
	UINT	uSelRangeFrom;
	UINT	uSelRangeTo;
	UINT	uTickFreq;
	BOOL	bEnableSel;
	BOOL	bAutoticks;
	BOOL	bNoThumb;
	BOOL	bNoTicks;
	int		iOrientation;
	int		iTickPos;
	int		iPos;
	CString	sMsg;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSliderPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSliderPage)
	afx_msg void OnAutoticks();
	afx_msg void OnEnablesel();
	afx_msg void OnNothumb();
	afx_msg void OnNoticks();
	afx_msg void OnKillfocusLine();
	afx_msg void OnKillfocusPage();
	afx_msg void OnKillfocusRangefrom();
	afx_msg void OnKillfocusRangeto();
	afx_msg void OnKillfocusSelrangefrom();
	afx_msg void OnKillfocusSelrangeto();
	afx_msg void OnKillfocusTickfreq();
	afx_msg void OnSelchangeOrientation();
	afx_msg void OnSelchangeTickpos();
	afx_msg void OnReleased(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SLIDERPAGE_H__98FB4F53_7187_11D3_A4EA_000000000000__INCLUDED_)
