// ControlDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Control.h"
#include "ControlDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CControlDlg

IMPLEMENT_DYNAMIC(CControlDlg, CPropertySheet)

CControlDlg::CControlDlg(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
	AddPages();
}

CControlDlg::CControlDlg(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
	AddPages();
}

CControlDlg::~CControlDlg()
{
}

void CControlDlg::AddPages()
{
	hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_psh.dwFlags |= PSP_USEHICON;		//   CPropertySheet
	m_psh.hIcon = hIcon;
	AddPage(&ProgrPage);
	AddPage(&SliderPage);
	AddPage(&SpinPage);
	AddPage(&AnimPage);
	AddPage (&MyPage);
}


BEGIN_MESSAGE_MAP(CControlDlg, CPropertySheet)
	//{{AFX_MSG_MAP(CControlDlg)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CControlDlg message handlers
